Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 85113 - galeon does not start after mozilla upgrade
Summary: galeon does not start after mozilla upgrade
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: galeon
Version: 7.3
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Christopher Blizzard
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-25 20:49 UTC by Richard Smith
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-26 23:56:04 UTC


Attachments (Terms of Use)

Description Richard Smith 2003-02-25 20:49:25 UTC
Description of problem:  
  
After updating the installed mozilla and galeon components to errata versions,  
galeon hangs before drawing any windows.  Five galeon-bin processes sit in a  
sleep state until killed with CTRL-C.  
  
The packages were upgraded to:  
  
nautilus-1.0.6-16  
mozilla-nspr-1.0.1-2.7.3  
mozilla-1.0.1-2.7.3  
nautilus-mozilla-1.0.6-16  
mozilla-nss-1.0.1-2.7.3  
mozilla-psm-1.0.1-2.7.3  
galeon-1.2.6-0.7.3  
  
  
If started from a console, the following messages are displayed:  
  
[richard@holly richard]$ galeon  
  
** CRITICAL **: file mozilla.cpp: line 134 (gboolean mozilla_preference_set  
(const char *, const char *)): assertion `new_value != NULL' failed.  
  
** CRITICAL **: file mozilla.cpp: line 134 (gboolean mozilla_preference_set  
(const char *, const char *)): assertion `new_value != NULL' failed.  
  
** CRITICAL **: file mozilla.cpp: line 134 (gboolean mozilla_preference_set  
(const char *, const char *)): assertion `new_value != NULL' failed.  
  
** CRITICAL **: file mozilla.cpp: line 134 (gboolean mozilla_preference_set  
(const char *, const char *)): assertion `new_value != NULL' failed.  
  
** CRITICAL **: file mozilla.cpp: line 134 (gboolean mozilla_preference_set  
(const char *, const char *)): assertion `new_value != NULL' failed.  
  
** CRITICAL **: file mozilla.cpp: line 134 (gboolean mozilla_preference_set  
(const char *, const char *)): assertion `new_value != NULL' failed.  
  
  
  
Version-Release number of selected component (if applicable):  
  
galeon-1.2.6-0.7.3  
  
How reproducible:  
  
Every time.  
  
Steps to Reproduce:  
1. Update packages  
2. Run Galeon  
3.  
      
Actual results:  
  
No browser window.  
  
Expected results:  
  
A running browser.  
  
Additional info:  
  
I have noticed that if the ~/.galeon directory is moved to another name,  
galeon will draw all the initial preference setting windows but will still  
print the above critical errors before displaying the initial preference 
setting windows and fail to draw a browser window after clicking 'Finish'.  
  
I can supply an 'strace -ff' if it will help (~ 95k gzipped).

Comment 1 Christopher Blizzard 2003-02-26 02:10:57 UTC
Do you have any plugins installed?  Maybe the Java plugin, in particular?  Try
removing them or moving them to another location so they don't get picked up.

Also, try re-running the mozilla-rebuild-databases.pl script to see if that helps.

Comment 2 Richard Smith 2003-02-26 23:56:04 UTC
Thanks for the suggestion.

It was indeed the Java plugin that was stopping the browser window from
appearing. Updating the rpms (The IBM ones) from 1.3-10.0 to 1.4-0.0 means I am
now able to use galeon to submit this comment.  I still get the above 'CRITICAL'
errors, but so far their claimed seriousness seems somewhat exagerated.


Note You need to log in before you can comment on or make changes to this bug.